Bug 36680 - Unhelpful error message on connection loss
Unhelpful error message on connection loss
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-0-errata
Assigned To: Florian Best
Alexander Kramer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-14 10:10 CET by Philipp Hahn
Modified: 2015-02-04 15:58 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-11-14 10:10:32 CET
> An unknown error with status code 0 occurred while connecting to the server, please try again later.
> Ok
Comment 1 Florian Best univentionstaff 2014-11-14 10:58:59 CET
umc/tools.js
@@ -685,1 +685,1 @@
-                       } else if (undefined !== status) {
+                       } else if (status) {
Comment 2 Florian Best univentionstaff 2014-11-20 18:04:27 CET
This is very similar to Bug #36400, can be fixed in that same erratum. Patch is already available.
Comment 3 Florian Best univentionstaff 2015-01-30 11:00:27 CET
Patch applied in svn r57684. The correct error message is now shown again, saying "An error occurred while connecting to the server, please try again later." when no network connection is possible.
Package: univention-management-console-frontend
Version: 4.1.106-11.993.201501301040
YAML: 2015-01-30-univention-management-console-frontend.yaml
Comment 4 Alexander Kramer univentionstaff 2015-02-02 13:43:55 CET
OK - correct error message (ger&eng) is shown with 4.1.106-11.993.201501301040
OK - debian/changelog
OK - yaml file
Comment 5 Janek Walkenhorst univentionstaff 2015-02-04 15:58:09 CET
<http://errata.univention.de/ucs/4.0/76.html>